namespace inutralia.Models
{
    using Newtonsoft.Json;
    using System.Collections.Generic;
    using System.ComponentModel;

    public abstract class MenuBase : ObservableEntityData
    {
        public abstract string Title { get; }

        [JsonProperty("days")]
        public IList<Day> Days { get; set; }

        [JsonProperty("recBreakfastBase")]
        [DefaultValue("")]
        public string RecBreakfastBase { get; set; }

        [JsonProperty("recBreakfastExt")]
        [DefaultValue("")]
        public string RecBreakfastExt { get; set; }

        [JsonProperty("recMorningBase")]
        [DefaultValue("")]
        public string RecMorningBase { get; set; }

        [JsonProperty("recMorningExt")]
        [DefaultValue("")]
        public string RecMorningExt { get; set; }

        [JsonProperty("recAfternoonBase")]
        [DefaultValue("")]
        public string RecAfternoonBase { get; set; }

        [JsonProperty("recAfternoonExt")]
        [DefaultValue("")]
        public string RecAfternoonExt { get; set; }

        [JsonProperty("recGeneralBase")]
        [DefaultValue("")]
        public string RecGeneralBase { get; set; }

        [JsonProperty("recGeneralExt")]
        [DefaultValue("")]
        public string RecGeneralExt { get; set; }

        public string resume => "<br><div style='background-color:#62b9ae; overflow: auto; width:100%; text-align:center'><h3 style='color:#FFFFFF'> DESAYUNO                                </h3></div><br>" + RecBreakfastBase + "<br>" + RecBreakfastExt +
                                "<br><div style='background-color:#62b9ae; overflow: auto; width:100%; text-align:center'><h3 style='color:#FFFFFF'> MEDIA MAÑANA             </h3></div><br>" + RecMorningBase + "<br>" + RecMorningExt +
                                "<br><div style='background-color:#62b9ae; overflow: auto; width:100%; text-align:center'><h3 style='color:#FFFFFF'> MERIENDA               </h3></div><br>" + RecAfternoonBase + "<br>" + RecAfternoonExt +
                                "<br><div style='background-color:#62b9ae; overflow: auto; width:100%; text-align:center'><h3 style='color:#FFFFFF'> CONSEJOS GENERALES </h3></div><br>" + RecGeneralBase + "<br>" + RecGeneralExt;
    }
}